Subject: Re: [bug#38455] [PATCH] doc: Mention how to test against make / guix pull breakage.

From: Danny Milosavljevic <[email-masked]>
Date: Mon, 2 Dec 2019 22:48:41 +0100

On Mon, 02 Dec 2019 21:14:34 +0100
Pierre Neidhardt <[email-masked]> wrote:

> Why would you need the ad-hoc part though?

I've added it because it didn't work without.

I *think* is was because there was a time where guile-json
was not a dependency of guix-the-package but it became
one of the guix git checkout, making the build of the guix
git checkout in a guix environment fail.
I really can't remember, though.

Some parts of the Guix build use git--can't remember which.